This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 726780 - (EAP 5.1.x admin-console) as5 plugin: The result of invoking an operation can be misleading or confused with the actual result of the operation
(EAP 5.1.x admin-console) as5 plugin: The result of invoking an operation can...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jan Martiska
Mike Foley
:
Depends On:
Blocks: 725869
  Show dependency treegraph
 
Reported: 2011-07-29 15:07 EDT by Ian Springer
Modified: 2013-08-05 20:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 710230
Environment:
EAP_EWP 5.1.0 - admin-console
Last Closed: 2012-02-07 14:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-07-29 15:07:39 EDT
+++ This bug was initially created as a clone of Bug #710230 +++

Created attachment 502598 [details]
Screen shot of admin-console showing confusion when invoking the Test Connection operation on a datasource

In some cases, the result of invoking an operation can be confused with the result of the actual operation. 

For example:

For a datasource resource, you can invoke the "Test Connection" operation. Once the operation has been submitted, the "Operation History" will indicate "Successful". This "Successful" message can easily be interrupted as the connection to the datasource was successful when in reality, the actual test of the datasource connection returned failed. 

This is confusing to operational admins looking at this UI to test a connection. In fact, this would mislead them to look at the wrong section and proceed thinking the connection has been obtained when it's not, and could possibly cause serious production ramifications. The UI should be re-worked and be more intuitive and clear.

--- Additional comment from ian.springer@redhat.com on 2011-07-27 14:36:02 EDT ---

The fix for this should be to improve the description of the 'testConnection' operation in the as5 plugin descriptor as follows:

    <operation name="testConnection" displayName="Test Connection" description="Test if a connection can be obtained - returns true if a connection was obtained, or false if not; NOTE: this operation will always return a status of Successful - the results of the operation must be inspected to see whether or not a connection was obtained">

--- Additional comment from ian.springer@redhat.com on 2011-07-28 12:59:14 EDT ---

Fixed in AdminConsole_EAP_5_1 branch - commit f1bb1cc.

This is not possible to verify directly - QE should just do an overall smoke test of the admin-console and make sure all the basics still work.

--- Additional comment from ian.springer@redhat.com on 2011-07-29 15:06:36 EDT ---

Fixed in master - commit 5f9ddb7.
Comment 1 Mike Foley 2011-07-29 15:17:52 EDT
discussed with ips:  verification is to be performed by EAP QA
Comment 2 Jan Martiska 2011-11-10 04:08:29 EST
Verified with EAP/EWP 5.1.2 ER2.
Comment 3 Mike Foley 2012-02-07 14:32:04 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE
Comment 4 Mike Foley 2012-02-07 14:32:04 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.